PGPAINLESS-CLI(1)

NAME
pgpainless-cli - Stateless OpenPGP Protocol

SYNOPSIS

pgpainless-cli [--stacktrace] [COMMAND]

DESCRIPTION

OPTIONS

--stacktrace
    Print stacktrace

COMMANDS

help
    Stateless OpenPGP Protocol

armor
    Add ASCII Armor to standard input

dearmor
    Remove ASCII Armor from standard input

decrypt
    Decrypt a message from standard input

inline-detach
    Split signatures from a clearsigned message

encrypt
    Encrypt a message from standard input

extract-cert
    Extract a public key certificate from a secret key from standard input

generate-key
    Generate a secret key

sign
    Create a detached signature on the data from standard input

verify
    Verify a detached signature over the data from standard input

inline-sign
    Create an inline-signed message from data on standard input

inline-verify
    Verify inline-signed data from standard input

version
    Display version information about the tool

generate-completion
    Stateless OpenPGP Protocol

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@ENV/@FD") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable